package zkp;

import javax.swing.JPanel;

/**
 * A JPanel that can be force repainted, to be used with the PanelViewManager class
 *
 * @author zsmb
 */
public abstract class RepaintablePanel extends JPanel {

    private static final long serialVersionUID = -4813801572709758627L;

    /**
     * Repaints the panel when possible - make sure to override this if you extend this
     * class!
     */
    public void requestRepaint() {
        this.repaint();
    }

}
